commit:     c3046b6e6229e12d5ad82bbdbee7484f592b5291
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 12 08:32:52 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Jun 12 08:47:39 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c3046b6e

media-libs/libshout: Bump to version 2.4.3

Package-Manager: Portage-2.3.67, Repoman-2.3.14
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 media-libs/libshout/Manifest              |  1 +
 media-libs/libshout/libshout-2.4.3.ebuild | 56 +++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/media-libs/libshout/Manifest b/media-libs/libshout/Manifest
index 7d007d498c7..be7d57635b7 100644
--- a/media-libs/libshout/Manifest
+++ b/media-libs/libshout/Manifest
@@ -1,2 +1,3 @@
 DIST libshout-2.4.1.tar.gz 516161 BLAKE2B 
bedea3c043018eff4675fdb8b95e0bb8ff02a98994a4afcc76537124ebf7357f012f2e9445ebd207b576fc4166fb761d65066fe166fc8b611b96f5c5482a0e92
 SHA512 
4d4b958947e020de3330d49d39d59220fc89315f25f653a7456b9aa24ca9566fca30bb3d65e6348e79958656096b6b864ea8885157d24e55c8d84d6604670219
 DIST libshout-2.4.2.tar.gz 519249 BLAKE2B 
15bd6a552eeb39654a07f5a43f670e53b37c0b239424d2530f09f156e1404da8133e557d614aa7c89aa36e3cec093fecd25aa05d855f283d4af51e1b543eb631
 SHA512 
ae4b042009887de22d105eb8238f4362f6ff51bd645fd51b5a87c4b5e3f5fdc99e9f99f85c24ae2e9d23eab92b854a7e733bf9f8cc61a8362ce984f02a014e93
+DIST libshout-2.4.3.tar.gz 529563 BLAKE2B 
30d982fcf52507e07af23113560cfc9e43ca4ce37c286854326ea09215dc30c3c0d57320dce46dd4faec43b3d473df2f7882ad759479fb023166cec3f24327c5
 SHA512 
fe36778c6640e620f27504cb21234940e18a65a33f9178bf7e77d4baf854a9affc82d85db8ed8c1c8e2d80399685d8be10106fff5be1ddf76e03e2ffeeed1d34

diff --git a/media-libs/libshout/libshout-2.4.3.ebuild 
b/media-libs/libshout/libshout-2.4.3.ebuild
new file mode 100644
index 00000000000..e3730421c58
--- /dev/null
+++ b/media-libs/libshout/libshout-2.4.3.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools multilib-minimal
+
+DESCRIPTION="library for connecting and sending data to icecast servers"
+HOMEPAGE="http://www.icecast.org/";
+SRC_URI="http://downloads.xiph.org/releases/${PN}/${P}.tar.gz";
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 
~amd64-fbsd ~x86-fbsd"
+IUSE="libressl speex static-libs theora"
+
+RDEPEND="
+       >=media-libs/libogg-1.3.0[${MULTILIB_USEDEP}]
+       >=media-libs/libvorbis-1.3.3-r1[${MULTILIB_USEDEP}]
+       !libressl? ( dev-libs/openssl:0= )
+       libressl? ( dev-libs/libressl:0= )
+       speex? ( >=media-libs/speex-1.2_rc1-r1[${MULTILIB_USEDEP}] )
+       theora? ( >=media-libs/libtheora-1.1.1[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+"
+
+MULTILIB_WRAPPED_HEADERS=(
+       /usr/include/shout/shout.h
+)
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.4.1-underlinking.patch
+)
+
+src_prepare() {
+       default
+       # Fix docdir
+       sed '/^docdir/s@$(PACKAGE)@$(PF)@' -i Makefile.am || die
+       eautoreconf
+       multilib_copy_sources
+}
+
+multilib_src_configure() {
+       local myeconfargs=(
+               $(use_enable speex)
+               $(use_enable static-libs static)
+               $(use_enable theora)
+       )
+       ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to